Bug 624961 - Incorrect text wrapping in <screen> element in Remote_Management.xml
Incorrect text wrapping in <screen> element in Remote_Management.xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Don Domingo
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 05:01 EDT by Justin Clift
Modified: 2015-07-13 00:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-08-18 05:01:05 EDT
Description of problem:

The publican generated output from one of the <screen> elements in Remote_Management.xml is not good (current RHEL 6 VG git, branch "6").

The lines in the contained elements wrap, when they shouldn't.  Caused by bad placement of <parameter> tag.

Broken output:

****************************************************************************

# ssh-copy-id -i ~/.ssh/id_rsa.pub root@example.com root@example.com's password: Now try logging into the machine, with "ssh 'root@example.com'", and check in: .ssh/authorized_keys to make sure we haven't added extra keys that you weren't expecting

****************************************************************************

Should be:

****************************************************************************

# ssh-copy-id -i ~/.ssh/id_rsa.pub root@example.com
root@example.com's password:

Now try logging into the machine, with "ssh 'root@example.com'", and check in:

  .ssh/authorized_keys
  
to make sure we haven't added extra keys that you weren't expecting

****************************************************************************


The fix is to change this element in the DocBook source (line 74+):

****************************************************************************
                                <screen># ssh-copy-id -i ~/.ssh/id_rsa.pub <parameter>root@example.com
root@example.com's password:

Now try logging into the machine, with "ssh 'root@example.com'", and check in:


  .ssh/authorized_keys


to make sure we haven't added extra keys that you weren't expecting

</parameter>
                                </screen>


****************************************************************************

To this:

****************************************************************************

                                <screen># ssh-copy-id -i ~/.ssh/id_rsa.pub <parameter>root@example.com</parameter>
<parameter>root@example.com</parameter>'s password:

Now try logging into the machine, with "ssh '<parameter>root@example.com</parameter>'", and check in:

  .ssh/authorized_keys

to make sure we haven't added extra keys that you weren't expecting
</screen>

****************************************************************************

Also note the two "double blank lines" have been condensed into two "single blank lines", to match real world output. :)
Comment 2 Don Domingo 2010-08-18 18:41:57 EDT
Justin,

are you sure it's not as follows?

****************************************************************************
<screen># ssh-copy-id -i ~/.ssh/id_rsa.pub root@example.com
root@example.com's password:</screen>

<para>
Now try logging into the machine, with <command>ssh 'root@example.com'</command>, and check in:
</para>

<screen>  .ssh/authorized_keys</screen>

  
<para>
to make sure we haven't added extra keys that you weren't expecting.
</para>
****************************************************************************
Comment 3 Justin Clift 2010-08-19 03:47:49 EDT
Hi Don,

That looks nicer, and is good wording, but no.

This output (all of it) is from the "ssh-copy-id" command itself (really):

****************************************************************************

[root@host1 ~]# ssh-copy-id host2
root@host2's password: 
Now try logging into the machine, with "ssh 'host2'", and check in:

  .ssh/authorized_keys

to make sure we haven't added extra keys that you weren't expecting.

[root@host1 ~]#

****************************************************************************
Comment 4 Justin Clift 2010-08-19 03:50:45 EDT
Note, the real output does have a full stop on the end after the word "expecting", which both the previous author and I had previously missed.
Comment 9 Andrew Ross 2010-08-25 17:59:17 EDT
Verified: Red_Hat_Enterprise_Linux-Virtualization-6-web-en-US-0-70.el5

$ ssh-copy-id -i ~/.ssh/id_rsa.pub
root@example.com
root@example.com's password:

Now try logging into the machine, with "ssh 'root@example.com'", and check in:

  .ssh/authorized_keys

to make sure we haven't added extra keys that you weren't expecting.
Comment 10 releng-rhel@redhat.com 2010-11-11 10:37:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.